Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class XmlRpcWriter

    java.lang.Object
      org.apache.xmlrpc.serializer.XmlRpcWriter

    public class XmlRpcWriter

extends java.lang.Object

This class is responsible for writing an XmlRpc request or an XmlRpc response to an output stream.

Field Summary
`static java.lang.String` | `EXTENSIONS_URI` The namespace URI for proprietary XML-RPC extensions.

Constructor Summary
`XmlRpcWriter(XmlRpcStreamConfig pConfig, org.xml.sax.ContentHandler pHandler, TypeFactory pTypeFactory)` Creates a new instance.

Method Summary
`void` | `write(XmlRpcRequest pRequest)` Writes a clients request to the output stream.
`void` | `write(XmlRpcRequestConfig pConfig, int pCode, java.lang.String pMessage)` Writes a servers error message to the output stream.
`void` | `write(XmlRpcRequestConfig pConfig, int pCode, java.lang.String pMessage, java.lang.Throwable pThrowable)` Writes a servers error message to the output stream.
`void` | `write(XmlRpcRequestConfig pConfig, java.lang.Object pResult)` Writes a servers response to the output stream.
`protected void` | `writeValue(java.lang.Object pObject)` Writes the XML representation of a Java object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTENSIONS_URI

    public static final java.lang.String EXTENSIONS_URI

  The namespace URI for proprietary XML-RPC extensions.

  See Also:
    Constant Field Values

Constructor Detail

### XmlRpcWriter

    public XmlRpcWriter(XmlRpcStreamConfig pConfig,
                        org.xml.sax.ContentHandler pHandler,
                        TypeFactory pTypeFactory)

  Creates a new instance.

  Parameters:
    `pConfig` - The clients configuration.
    `pHandler` - The target SAX handler.
    `pTypeFactory` - The type factory being used to create serializers.

Method Detail

### write

    public void write(XmlRpcRequest pRequest)
               throws org.xml.sax.SAXException

  Writes a clients request to the output stream.

  Parameters:
    `pRequest` - The request being written.
  Throws:
    `org.xml.sax.SAXException` - Writing the request failed.

### write

    public void write(XmlRpcRequestConfig pConfig,
                      java.lang.Object pResult)
               throws org.xml.sax.SAXException

  Writes a servers response to the output stream.

  Parameters:
    `pConfig` - The request configuration.
    `pResult` - The result object.
  Throws:
    `org.xml.sax.SAXException` - Writing the response failed.

### write

    public void write(XmlRpcRequestConfig pConfig,
                      int pCode,
                      java.lang.String pMessage)
               throws org.xml.sax.SAXException

  Writes a servers error message to the output stream.

  Parameters:
    `pConfig` - The request configuration.
    `pCode` - The error code
    `pMessage` - The error message
  Throws:
    `org.xml.sax.SAXException` - Writing the error message failed.

### write

    public void write(XmlRpcRequestConfig pConfig,
                      int pCode,
                      java.lang.String pMessage,
                      java.lang.Throwable pThrowable)
               throws org.xml.sax.SAXException

  Writes a servers error message to the output stream.

  Parameters:
    `pConfig` - The request configuration.
    `pCode` - The error code
    `pMessage` - The error message
    `pThrowable` - An exception, which is being sent to the client
  Throws:
    `org.xml.sax.SAXException` - Writing the error message failed.

### writeValue

    protected void writeValue(java.lang.Object pObject)
                       throws org.xml.sax.SAXException

  Writes the XML representation of a Java object.

  Parameters:
    `pObject` - The object being written.
  Throws:
    `org.xml.sax.SAXException` - Writing the object failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.